# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "chef-api"
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Seth Vargo"]
  s.date = "2014-07-10"
  s.description = "A tiny Chef API client with minimal dependencies"
  s.email = ["sethvargo@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "chef-api.gemspec", "lib/chef-api.rb", "lib/chef-api/authentication.rb", "lib/chef-api/boolean.rb", "lib/chef-api/configurable.rb", "lib/chef-api/connection.rb", "lib/chef-api/defaults.rb", "lib/chef-api/error_collection.rb", "lib/chef-api/errors.rb", "lib/chef-api/multipart.rb", "lib/chef-api/resource.rb", "lib/chef-api/resources/base.rb", "lib/chef-api/resources/client.rb", "lib/chef-api/resources/collection_proxy.rb", "lib/chef-api/resources/cookbook.rb", "lib/chef-api/resources/cookbook_version.rb", "lib/chef-api/resources/data_bag.rb", "lib/chef-api/resources/data_bag_item.rb", "lib/chef-api/resources/environment.rb", "lib/chef-api/resources/node.rb", "lib/chef-api/resources/organization.rb", "lib/chef-api/resources/partial_search.rb", "lib/chef-api/resources/principal.rb", "lib/chef-api/resources/role.rb", "lib/chef-api/resources/search.rb", "lib/chef-api/resources/user.rb", "lib/chef-api/schema.rb", "lib/chef-api/util.rb", "lib/chef-api/validator.rb", "lib/chef-api/validators/base.rb", "lib/chef-api/validators/required.rb", "lib/chef-api/validators/type.rb", "lib/chef-api/version.rb", "spec/integration/resources/client_spec.rb", "spec/integration/resources/environment_spec.rb", "spec/integration/resources/node_spec.rb", "spec/integration/resources/partial_search_spec.rb", "spec/integration/resources/role_spec.rb", "spec/integration/resources/search_spec.rb", "spec/integration/resources/user_spec.rb", "spec/spec_helper.rb", "spec/support/chef_server.rb", "spec/support/cookbook.tar.gz", "spec/support/shared/chef_api_resource.rb", "spec/support/user.pem", "spec/unit/authentication_spec.rb", "spec/unit/errors_spec.rb", "spec/unit/resources/base_spec.rb", "spec/unit/resources/client_spec.rb", "spec/unit/resources/connection_spec.rb", "templates/errors/abstract_method.erb", "templates/errors/cannot_regenerate_key.erb", "templates/errors/chef_api_error.erb", "templates/errors/file_not_found.erb", "templates/errors/http_bad_request.erb", "templates/errors/http_forbidden_request.erb", "templates/errors/http_gateway_timeout.erb", "templates/errors/http_method_not_allowed.erb", "templates/errors/http_not_acceptable.erb", "templates/errors/http_not_found.erb", "templates/errors/http_server_unavailable.erb", "templates/errors/http_unauthorized_request.erb", "templates/errors/insufficient_file_permissions.erb", "templates/errors/invalid_resource.erb", "templates/errors/invalid_validator.erb", "templates/errors/missing_url_parameter.erb", "templates/errors/not_a_directory.erb", "templates/errors/resource_already_exists.erb", "templates/errors/resource_not_found.erb", "templates/errors/resource_not_mutable.erb", "templates/errors/unknown_attribute.erb"]
  s.homepage = "https://github.com/sethvargo/chef-api"
  s.licenses = ["Apache 2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "1.8.23"
  s.summary = "A Chef API client in Ruby"
  s.test_files = ["spec/integration/resources/client_spec.rb", "spec/integration/resources/environment_spec.rb", "spec/integration/resources/node_spec.rb", "spec/integration/resources/partial_search_spec.rb", "spec/integration/resources/role_spec.rb", "spec/integration/resources/search_spec.rb", "spec/integration/resources/user_spec.rb", "spec/spec_helper.rb", "spec/support/chef_server.rb", "spec/support/cookbook.tar.gz", "spec/support/shared/chef_api_resource.rb", "spec/support/user.pem", "spec/unit/authentication_spec.rb", "spec/unit/errors_spec.rb", "spec/unit/resources/base_spec.rb", "spec/unit/resources/client_spec.rb", "spec/unit/resources/connection_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<logify>, ["~> 0.1"])
      s.add_runtime_dependency(%q<mime-types>, [">= 0"])
    else
      s.add_dependency(%q<logify>, ["~> 0.1"])
      s.add_dependency(%q<mime-types>, [">= 0"])
    end
  else
    s.add_dependency(%q<logify>, ["~> 0.1"])
    s.add_dependency(%q<mime-types>, [">= 0"])
  end
end
